#pragma once

#include <atomic>
#include <cstdint>
#include <curl/curl.h>

class GlobalCounter{
public:
    explicit GlobalCounter();
    uint64_t get_value();
    uint64_t increment_and_get();



protected:
    std::atomic<uint64_t> value = 0;
};